#include "base.hpp"

namespace Middleware
{
	State::State(int const socketFileDescriptor, Http::Request const & _request, Http::Response & _response)
		: finished(false),
		awaiting(false),
		socketFd(socketFileDescriptor),
		awaitingFd(-1),
		request(_request),
		response(_response),
		middlewareIndex(0)
	{
	}

	BaseMiddleware::BaseMiddleware(Logger & _logger)
		: logger(_logger)
	{
	}
}